# Uses of Class
org.apache.lucene.spatial.vector.PointVectorStrategy

Packages that use PointVectorStrategy
Package
Description
org.apache.lucene.spatial.vector
Spatial strategy that uses two fields.

- ## Uses of PointVectorStrategy in org.apache.lucene.spatial.vector

  Methods in org.apache.lucene.spatial.vector that return PointVectorStrategy
  Modifier and Type
  Method
  Description
  `static PointVectorStrategy`
  PointVectorStrategy.`newInstance(org.locationtech.spatial4j.context.SpatialContext ctx, String fieldNamePrefix)`
  Create a new `PointVectorStrategy` instance that uses `DoublePoint` and `DoublePoint.newRangeQuery(java.lang.String, double, double)`
  Constructors in org.apache.lucene.spatial.vector with parameters of type PointVectorStrategy
  Modifier
  Constructor
  Description
  ``
  `DistanceValueSource(PointVectorStrategy strategy, org.locationtech.spatial4j.shape.Point from, double multiplier)`
  Constructor.